Paycose Docs
Payout
GET/payouts/{payout_id}/qrcode

Get Payout QR Code

Generate a PromptPay QR code for a payout.

Only works for promptpay_phone or promptpay_primary_identify_id bank accounts.

Requires: Bearer token, X-Country header.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/payouts/{{payout_id}}/qrcode' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request.

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "id": "<string>",
  "object": "<string>",
  "livemode": false,
  "created_at": null,
  "updated_at": null,
  "customer_id": "<string>",
  "bank_account_id": "<string>",
  "balance_id": "<string>",
  "amount": 0,
  "application_fee_amount": 0,
  "account": "<string>",
  "application_fee": "<string>",
  "plane": "<string>",
  "connected_settlement": "<string>",
  "net_amount": 0,
  "currency": "<string>",
  "scaling_factor": 0,
  "manual": {
    "file_id": "<string>",
    "reference_id": "<string>",
    "verified": false
  },
  "approved_by": "<string>",
  "approved_by_type": "<string>",
  "approved_at": "<RFC3339 timestamp>",
  "request_sent_to_bank_at": "<RFC3339 timestamp>",
  "instruction_state": "<string>",
  "status": "<string>",
  "paid": false,
  "sent": false,
  "canceled": false,
  "failed": false,
  "failure_code": "<string>",
  "failure_message": "<string>",
  "provider": "<string>",
  "reference_id": "<string>",
  "metadata": {},
  "labels": "<core.Labels>",
  "customer": {
    "id": "<string>",
    "object": "<string>",
    "livemode": false,
    "created_at": null,
    "updated_at": null,
    "name": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "address": {
      "city": "<string>",
      "country": "<string>",
      "line1": "<string>",
      "line2": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "shipping": {
      "name": "<string>",
      "phone": "<string>",
      "address": {
        "city": "<string>",
        "country": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      }
    },
    "is_system": false,
    "is_application_customer": false,
    "capabilities": {
      "charge": false,
      "transfer": false,
      "payout": false
    },
    "tax_ids": [
      {
        "type": "<string>",
        "value": "<string>",
        "country": "<string>",
        "verification_status": "<string>"
      }
    ],
    "metadata": {},
    "labels": "<core.Labels>",
    "invoice_settings": {},
    "tax_exempt": "<string>",
    "preferred_locales": [
      "<string>"
    ],
    "business_name": "<string>",
    "currency": "<string>"
  }
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page